export declare type Executor = (signal?: any) => Promise<any>;
export declare type AbortCallback = () => void;
export declare enum State {
    PENDING = "pending",
    RUNNING = "running",
    CANCELED = "canceled"
}
export interface IAbortController {
    signal: any;
    abort: AbortCallback;
}
export declare class Polling {
    private _executor;
    private _interval;
    private _state;
    private _scheduleId;
    private _abortController?;
    constructor(executor: Executor, interval: number, abortController?: IAbortController);
    get state(): State;
    run(): () => void;
    cancel: () => void;
    private _run;
    private _schedule;
}
export declare function setPolling(executor: Executor, interval: number, abortController?: IAbortController): () => void;
